[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TCollection.Destroy

Destroys the collection and frees all the objects it manages.

## Declaration

Source position: classesh.inc line 550

`public destructor TCollection.Destroy; override;`

## Description

Destroy first clears the collection, and then frees all memory allocated to this instance.

Don't call Destroy directly, call Free instead.

## See also

TCollection.Create |  | Creates a new collection.